Bug 1268385 - Kickstart installation fails when using swap hibernation option
Kickstart installation fails when using swap hibernation option
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pykickstart (Show other bugs)
7.1
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 14:22 EDT by daniel.schindler
Modified: 2015-10-08 16:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 15:51:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel.schindler 2015-10-02 14:22:32 EDT
Description of problem:
When using "swap --hibernation" option in kickstart, installation fails with "missing size" error. ksvalidate also reports the same error. With RHEL 6 it was working and hibernation option is still listed as a valid option in RHEL 7 Installation Guide.

Version-Release number of selected component (if applicable):


How reproducible:
Create kickstart file with swap --hibernation option and run ksvalidate or actually try to run kickstart installation.

Steps to Reproduce:
1.
2.
3.

Actual results:
kickstart installation fails when hibernation option is used

Expected results:


Additional info:
Comment 2 Chris Lumens 2015-10-02 14:28:29 EDT
This should be in pykickstart-1.99.16 or later, which means 7.2 for sure.  What version of pykickstart are you using?
Comment 3 daniel.schindler 2015-10-03 04:58:57 EDT
pykickstart-1.99.43.17-1.0.2.el7.noarch on 7.1
Comment 4 Chris Lumens 2015-10-05 13:03:05 EDT
Hm, this is definitely weird.  Are you on Centos or using some other derivative of RHEL?  Did you rebuild pykickstart yourself?  I don't see that particular version in the build system here.  Also, can you please attach your kickstart file, scrubbed of any sensitive information?  Thanks.
Comment 5 daniel.schindler 2015-10-05 13:21:41 EDT
We are using Oracle Linux. I will file a bug with Oracle. I thought they were using the same sources :)
Comment 6 daniel.schindler 2015-10-05 13:27:14 EDT
Bug has been filed at Oracle's Bugzilla: https://bugzilla.oracle.com/bugzilla/show_bug.cgi?id=15154
Comment 7 David Cantrell 2015-10-08 15:51:03 EDT
I'd like to choose CLOSED NOTOURBUG, but that's not an option here.
Comment 8 daniel.schindler 2015-10-08 16:33:08 EDT
(In reply to David Cantrell from comment #7)
> I'd like to choose CLOSED NOTOURBUG, but that's not an option here.

childish...

Note You need to log in before you can comment on or make changes to this bug.